package cn.com.taiji.beidou.ship.focus.service;

import cn.com.taiji.beidou.ship.focus.domain.FocusShipData;
import cn.com.taiji.beidou.ship.focus.domain.FocusShipReq;
import cn.com.taiji.beidou.ship.focus.domain.FocusShipResult;
import cn.com.taiji.beidou.ship.focus.domain.SimpleFocusShipResult;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author CHEN
 * @Date 2022/11/9 18:13
 */
public interface FocusShipService {
    int insertFocusShip(FocusShipData focusShipData);

    /**
     * 移除关注船舶
     * @param focusId
     * @return
     */
    int deleteFocusShip(Long focusId);

    /**
     * 关注船舶详情
     * @param focusId
     * @return
     */
    FocusShipResult selectById(Long focusId);

    /**
     * 列表
     * @return
     */
    List<FocusShipResult> selectList(FocusShipReq focusShipReq);

    List<SimpleFocusShipResult> getShipByUserId(String userId);
}
